namespace XMLParser.Model
{
    public sealed class InspizierteAbwassertechnischeAnlage
    {
        string objektbezeichnung;
        Lage lage;
        EAnlagetyp anlagentyp;
        OptischeInspektion optischeInspektion;

        public string Objektbezeichnung
        {
            get
            {
                return objektbezeichnung;
            }
            set
            {
                objektbezeichnung = value;
            }
        }
        public EAnlagetyp Anlagentyp
        {
            get
            {
                return anlagentyp;
            }
            set
            {
                anlagentyp = value;
            }
        }
        public OptischeInspektion OptischeInspektion
        {
            get
            {
                return optischeInspektion;
            }
            set
            {
                optischeInspektion = value;
            }
        }
        public Lage Lage
        {
            get
            {
                return lage;
            }
            set
            {
                lage = value;
            }
        }
        public override string ToString()
        {
            return objektbezeichnung + " " + optischeInspektion.Rohrleitung.Grunddaten.Profilbreite;
        }
    }
}
